Main Page Modules Data Structures File List Data Fields Globals Related Pages

# _dbiVec Struct Reference
[DataBase Index element API.]

`#include <rpmdb.h>`

## Data Fields
int | dbv_major
int | dbv_minor
int | dbv_patch
int(* | open )(rpmdb rpmdb, rpmTag rpmtag, dbiIndex *dbip)
int(* | close )(dbiIndex dbi, unsigned int flags)
int(* | sync )(dbiIndex dbi, unsigned int flags)
int(* | associate )(dbiIndex dbi, dbiIndex dbisecondary, int(*callback)(DB *, const DBT *, const DBT *, DBT *), unsigned int flags)
int(* | join )(dbiIndex dbi, DBC **curslist, DBC **dbcp, unsigned int flags)
int(* | copen )(dbiIndex dbi, DB_TXN *txnid, DBC **dbcp, unsigned int dbiflags)
int(* | cclose )(dbiIndex dbi, DBC *dbcursor, unsigned int flags)
int(* | cdup )(dbiIndex dbi, DBC *dbcursor, DBC **dbcp, unsigned int flags)
int(* | cdel )(dbiIndex dbi, DBC *dbcursor, DBT *key, DBT *data, unsigned int flags)
int(* | cget )(dbiIndex dbi, DBC *dbcursor, DBT *key, DBT *data, unsigned int flags)
int(* | cpget )(dbiIndex dbi, DBC *dbcursor, DBT *key, DBT *pkey, DBT *data, unsigned int flags)
int(* | cput )(dbiIndex dbi, DBC *dbcursor, DBT *key, DBT *data, unsigned int flags)
int(* | ccount )(dbiIndex dbi, DBC *dbcursor, unsigned int *countp, unsigned int flags)
int(* | byteswapped )(dbiIndex dbi)
int(* | stat )(dbiIndex dbi, unsigned int flags)

## Detailed Description

Private methods for accessing an index database.

Definition at line 77 of file rpmdb.h.

## Field Documentation

int _dbiVec::dbv_major

| Berkeley db version major Definition at line 78 of file rpmdb.h.

int _dbiVec::dbv_minor

| Berkeley db version minor Definition at line 79 of file rpmdb.h.

int _dbiVec::dbv_patch

| Berkeley db version patch Definition at line 80 of file rpmdb.h.

The documentation for this struct was generated from the following file:

- rpmdb/rpmdb.h